Subject: Re: Linux 2.6.25-rc6: WARNING: at net/ipv4/tcp_input.c:2510

From: Georgi Chorbadzhiyski <[email-masked]>
Date: Fri, 04 Apr 2008 09:16:49 +0300

Around 04/03/08 13:17, Ilpo Järvinen scribbled:
> On Thu, 27 Mar 2008, Georgi Chorbadzhiyski wrote:
> 
>> A week ago I updated one of my servers to 2.6.25-rc6 and today looking
>> through logs I've found these:
>>
>> [380219.823434] ------------[ cut here ]------------
>> [380219.823450] WARNING: at net/ipv4/tcp_input.c:2510 tcp_ack+0xc7e/0x177d()
> 
> Is this reproducable for you? If yes, is it possible for you to run 

Not in the moment.

I'm not getting such errors in the log since my last report. Today I'll update
to latest -git and will restart the server.

The machine that gave me this error is a http and ftp server handling not
very busy distro mirror (if this can give you any clues).

> processing expensive verification of TCP state (validates TCP write queue 
> invariants multiple times per ACK by scanning through the write queue) on 
> such machine?

How to run such a thing, can you give me some pointers?

-- 
Georgi Chorbadzhiyski
http://georgi.unixsol.org/